# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# FROM --platform=$BUILDPLATFORM golang:1.17 as builder
FROM golang:1.17 as builder
WORKDIR ${GOPATH}/src/gitlab.com/ai2fit/platform/server/k8s-job-state-exporter
COPY . ./

ARG TARGETARCH
ARG TARGETOS
RUN go mod vendor
RUN CGO_ENABLED=0 GOOS=$TARGETOS GOARCH=$TARGETARCH go build -mod=vendor -o /k8s-state-exporter

# FROM --platform=$TARGETPLATFORM gcr.io/distroless/static:latest
FROM gcr.io/distroless/static:latest
COPY --from=builder k8s-state-exporter /

CMD [ "./k8s-state-exporter" ]
